Skip to main content
PATCH
Update usage event

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Path Parameters

raw_metric_id
string<uuid>
required

The ID of the usage event to update

Body

application/json

Create RawMetric Request Schema

name
string
required

name of the rawmetric

api_slug
string
required

rawmetric slug name

dataschema
Dataschema · object
required

Data schema of raw metric

column_order
string[] | null

Order of the columns in the raw metric table

Response

Successful Response

RawMetric Response Schema

id
string<uuid>
required

RawMetric Id

name
string
required

name of the raw metric

api_slug
string
required

api slug raw metric name

dataschema
Dataschema · object
required

Data schema raw metric

column_order
string[] | null

Order of the columns in the raw metric table

usage_upload_enabled
boolean
default:false

Whether S3 usage upload is enabled

s3_path
string | null

Combined S3 bucket and directory path

error_log_s3_path
string | null

Combined error log S3 bucket and directory path

allow_partial_upload
boolean | null

Whether partial upload is allowed